Functions
IT_Management
Peripheral Driver » LL Driver » AON_GPIO » Functions

## Functions
__STATIC_INLINE void | ll_aon_gpio_enable_falling_trigger (uint32_t pin_mask)
| Enable AON_GPIO Falling Edge Trigger of specified AON_GPIO pins. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_is_enabled_falling_trigger (uint32_t pin_mask)
| Check if falling edge trigger is enabled of specified AON_GPIO pins. More...
__STATIC_INLINE void | ll_aon_gpio_enable_rising_trigger (uint32_t pin_mask)
| Enable AON_GPIO Rising Edge Trigger of specified AON_GPIO pins. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_is_enabled_rising_trigger (uint32_t pin_mask)
| Check if rising edge trigger is enabled of specified AON_GPIO pins. More...
__STATIC_INLINE void | ll_aon_gpio_enable_high_trigger (uint32_t pin_mask)
| Enable AON_GPIO High Level Trigger of specified AON_GPIO pins. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_is_enabled_high_trigger (uint32_t pin_mask)
| Check if high level trigger is enabled of specified AON_GPIO pins. More...
__STATIC_INLINE void | ll_aon_gpio_enable_low_trigger (uint32_t pin_mask)
| Enable AON_GPIO Low Level Trigger of specified AON_GPIO pins. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_is_enabled_low_trigger (uint32_t pin_mask)
| Check if low level trigger is enabled of specified AON_GPIO pins. More...
__STATIC_INLINE void | ll_aon_gpio_enable_both_trigger (uint32_t pin_mask)
| Enable AON_GPIO Low Level Trigger of specified AON_GPIO pins. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_is_enabled_both_trigger (uint32_t pin_mask)
| Check if low level trigger is enabled of specified AON_GPIO pins. More...
__STATIC_INLINE void | ll_aon_gpio_enable_it (uint32_t pin_mask)
| Enable AON_GPIO interrupts of specified AON_GPIO pins. More...
__STATIC_INLINE void | ll_aon_gpio_disable_it (uint32_t pin_mask)
| Disable AON_GPIO interrupts of specified AON_GPIO pins. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_is_enabled_it (uint32_t pin_mask)
| Check if the Interrupt of specified GPIO pins is enabled or disabled. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_get_enabled_pin (void)
| Get aon gpio enable pins. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_is_enable_wakeup_it (void)
| Check if the AON_GPIO master interrupt is enabled or disabled. More...

## Detailed Description

## Function Documentation

## ◆ ll_aon_gpio_disable_it()

__STATIC_INLINE void ll_aon_gpio_disable_it | ( | uint32_t | pin_mask | ) |

Disable AON_GPIO interrupts of specified AON_GPIO pins.

Note
  Interrupt Trigger can be used to specify the interrupt trigger type

Register|BitsName --------|-------- INTENCLR | INTENCLR

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  None |

Definition at line 1328 of file ll_aon_gpio.h.

References AON_CTL.

## ◆ ll_aon_gpio_enable_both_trigger()

__STATIC_INLINE void ll_aon_gpio_enable_both_trigger | ( | uint32_t | pin_mask | ) |

Enable AON_GPIO Low Level Trigger of specified AON_GPIO pins.

Register|BitsName --------|-------- INTPOLCLR | INTPOLCLR INTTYPECLR | INTTYPECLR

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  None |

Definition at line 1249 of file ll_aon_gpio.h.

References AON_CTL.

## ◆ ll_aon_gpio_enable_falling_trigger()

__STATIC_INLINE void ll_aon_gpio_enable_falling_trigger | ( | uint32_t | pin_mask | ) |

Enable AON_GPIO Falling Edge Trigger of specified AON_GPIO pins.

Register|BitsName --------|-------- INTPOLCLR | INTPOLCLR INTTYPESET | INTTYPESET

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  None |

Definition at line 1022 of file ll_aon_gpio.h.

References AON_CTL.

## ◆ ll_aon_gpio_enable_high_trigger()

__STATIC_INLINE void ll_aon_gpio_enable_high_trigger | ( | uint32_t | pin_mask | ) |

Enable AON_GPIO High Level Trigger of specified AON_GPIO pins.

Register|BitsName --------|-------- INTPOLSET | INTPOLSET INTTYPECLR | INTTYPECLR

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  None |

Definition at line 1139 of file ll_aon_gpio.h.

References AON_CTL.

## ◆ ll_aon_gpio_enable_it()

__STATIC_INLINE void ll_aon_gpio_enable_it | ( | uint32_t | pin_mask | ) |

Enable AON_GPIO interrupts of specified AON_GPIO pins.

Note
  Interrupt Trigger can be used to specify the interrupt trigger type

Register|BitsName --------|-------- INTENSET | INTENSET

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  None |

Definition at line 1303 of file ll_aon_gpio.h.

References AON_CTL.

## ◆ ll_aon_gpio_enable_low_trigger()

__STATIC_INLINE void ll_aon_gpio_enable_low_trigger | ( | uint32_t | pin_mask | ) |

Enable AON_GPIO Low Level Trigger of specified AON_GPIO pins.

Register|BitsName --------|-------- INTPOLCLR | INTPOLCLR INTTYPECLR | INTTYPECLR

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  None |

Definition at line 1194 of file ll_aon_gpio.h.

References AON_CTL.

## ◆ ll_aon_gpio_enable_rising_trigger()

__STATIC_INLINE void ll_aon_gpio_enable_rising_trigger | ( | uint32_t | pin_mask | ) |

Enable AON_GPIO Rising Edge Trigger of specified AON_GPIO pins.

Register|BitsName --------|-------- INTPOLSET | INTPOLSET INTTYPESET | INTTYPESET

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  None |

Definition at line 1080 of file ll_aon_gpio.h.

References AON_CTL.

## ◆ ll_aon_gpio_get_enabled_pin()

__STATIC_INLINE uint32_t ll_aon_gpio_get_enabled_pin | ( | void |  | ) |

Get aon gpio enable pins.

Register|BitsName --------|-------- INTENSET | INTENSET

Return values

  Returned | value can be one of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Definition at line 1374 of file ll_aon_gpio.h.

References AON_CTL.

## ◆ ll_aon_gpio_is_enable_wakeup_it()

__STATIC_INLINE uint32_t ll_aon_gpio_is_enable_wakeup_it | ( | void |  | ) |

Check if the AON_GPIO master interrupt is enabled or disabled.

Register|BitsName --------|-------- AON_MISC | MCU_WAKEUP_CTRL

Return values

  State | of bit (1 or 0).

Definition at line 1387 of file ll_aon_gpio.h.

References AON_CTL.

## ◆ ll_aon_gpio_is_enabled_both_trigger()

__STATIC_INLINE uint32_t ll_aon_gpio_is_enabled_both_trigger | ( | uint32_t | pin_mask | ) |

Check if low level trigger is enabled of specified AON_GPIO pins.

Register|BitsName --------|-------- INTPOLCLR | INTPOLCLR INTTYPECLR | INTTYPECLR

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  State | of bit (1 or 0)

Definition at line 1276 of file ll_aon_gpio.h.

References AON_CTL.

## ◆ ll_aon_gpio_is_enabled_falling_trigger()

__STATIC_INLINE uint32_t ll_aon_gpio_is_enabled_falling_trigger | ( | uint32_t | pin_mask | ) |

Check if falling edge trigger is enabled of specified AON_GPIO pins.

Register|BitsName --------|-------- INTPOLCLR | INTPOLCLR INTTYPESET | INTTYPESET

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  State | of bit (1 or 0)

Definition at line 1052 of file ll_aon_gpio.h.

References AON_CTL.

## ◆ ll_aon_gpio_is_enabled_high_trigger()

__STATIC_INLINE uint32_t ll_aon_gpio_is_enabled_high_trigger | ( | uint32_t | pin_mask | ) |

Check if high level trigger is enabled of specified AON_GPIO pins.

Register|BitsName --------|-------- INTPOLSET | INTPOLSET INTTYPECLR | INTTYPECLR

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  State | of bit (1 or 0).

Definition at line 1167 of file ll_aon_gpio.h.

References AON_CTL.

## ◆ ll_aon_gpio_is_enabled_it()

__STATIC_INLINE uint32_t ll_aon_gpio_is_enabled_it | ( | uint32_t | pin_mask | ) |

Check if the Interrupt of specified GPIO pins is enabled or disabled.

Register|BitsName --------|-------- INTENSET | INTENSET

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  State | of bit (1 or 0).

Definition at line 1352 of file ll_aon_gpio.h.

References AON_CTL.

## ◆ ll_aon_gpio_is_enabled_low_trigger()

__STATIC_INLINE uint32_t ll_aon_gpio_is_enabled_low_trigger | ( | uint32_t | pin_mask | ) |

Check if low level trigger is enabled of specified AON_GPIO pins.

Register|BitsName --------|-------- INTPOLCLR | INTPOLCLR INTTYPECLR | INTTYPECLR

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  State | of bit (1 or 0).

Definition at line 1222 of file ll_aon_gpio.h.

References AON_CTL.

## ◆ ll_aon_gpio_is_enabled_rising_trigger()

__STATIC_INLINE uint32_t ll_aon_gpio_is_enabled_rising_trigger | ( | uint32_t | pin_mask | ) |

Check if rising edge trigger is enabled of specified AON_GPIO pins.

Note
  Please check each device line mapping for AON_GPIO Line availability

Register|BitsName --------|-------- INTPOLSET | INTPOLSET INTTYPESET | INTTYPESET

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  State | of bit (1 or 0).

Definition at line 1111 of file ll_aon_gpio.h.

References AON_CTL.